## ngrok 1.6%2Bdfsg

=== debian/changelog ===
ngrok (1.6+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #720878.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Jan 2014 21:50:54 +0100
