=== debian/control ===
Source: ngrok
Section: web
Priority: extra
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dctrl-tools,
               dh-golang,
               golang-go,
               golang-goyaml-dev,
               golang-log4go-dev,
               golang-metrics-dev,
               golang-termbox-dev,
               golang-vhost-dev,
               golang-websocket-dev,
               go-bindata,
               libjs-jquery,
               libjs-angularjs,
               libjs-highlight,
               libjs-twitter-bootstrap
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/ngrok.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/ngrok.git;a=summary
Homepage: https://ngrok.com/

Package: ngrok-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev
Built-Using: ${misc:Built-Using}
Description: secure introspectable tunnels to localhost - server part
 ngrok creates a tunnel from the public internet to a port on your
 local machine. You can give this URL to anyone to allow them to try
 out a web site you're developing without doing any deployment.
 .
 It captures all traffic through the tunnel. It displays information
 about the HTTP traffic for your inspection. Raw request/response
 bytes, parsed headers and form data, JSON/XML syntax checking and more
 are included. It can also replay requests.
 .
 By default, ngrok will use ngrok.com as a third-party relay. This
 service is provided at no-cost and without registration but it is
 possible to get additional features by signing up in the service
 (which is pay-as-you-want kind). However, it is possible to setup and
 use its own server.
 .
 This package installs the server part of ngrok. It permits one to use
 the client without using ngrok.com

Package: ngrok-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}, ${misc:Embedded}
Description: secure introspectable tunnels to localhost - client part
 ngrok creates a tunnel from the public internet to a port on your
 local machine. You can give this URL to anyone to allow them to try
 out a web site you're developing without doing any deployment.
 .
 It captures all traffic through the tunnel. It displays information
 about the HTTP traffic for your inspection. Raw request/response
 bytes, parsed headers and form data, JSON/XML syntax checking and more
 are included. It can also replay requests.
 .
 By default, ngrok will use ngrok.com as a third-party relay. This
 service is provided at no-cost and without registration but it is
 possible to get additional features by signing up in the service
 (which is pay-as-you-want kind). However, it is possible to setup and
 use its own server.
 .
 This package installs the client part of ngrok. It can be used
 directly with ngrok.com service or with your own server if you
 install the ngrok-server package.
