=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/inconshreveable/ngrok

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	# We need to ship some JS/CSS stuff
	ln -s /usr/share/javascript/highlight/highlight.min.js assets/client/static/js/highlight.min.js
	ln -s /usr/share/javascript/highlight/styles/default.css assets/client/static/css/highlight.min.css
	ln -s /usr/share/twitter-bootstrap/files/css/bootstrap.min.css assets/client/static/css/bootstrap.min.css
	ln -s /usr/share/twitter-bootstrap/files/img/glyphicons-halflings.png assets/client/static/img/glyphicons-halflings.png
	ln -s /usr/share/javascript/angular.js/angular.min.js assets/client/static/js/angular.js
	ln -s /usr/share/javascript/angular.js/angular-sanitize.min.js assets/client/static/js/angular-sanitize.min.js
	ln -s /usr/share/javascript/jquery/jquery.min.js assets/client/static/js/jquery-1.9.1.min.js
	# Also link /usr/share/gocode here
	ln -s /usr/share/gocode/src/* src/.
	make release-all

override_dh_auto_clean:
	rm -f assets/client/static/js/highlight.min.js
	rm -f assets/client/static/css/highlight.min.css
	rm -f assets/client/static/css/bootstrap.min.css
	rm -f assets/client/static/img/glyphicons-halflings.png
	rm -f assets/client/static/js/angular.js
	rm -f assets/client/static/js/angular-sanitize.min.js
	rm -f assets/client/static/js/jquery-1.9.1.min.js
	# Cleanup symbolic inks
	find src -maxdepth 1 -type l -delete
	dh_auto_clean

override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Embedded="$$(dpkg-query -f='$${source:Package} (= $${source:Version}), ' -W $$(grep-dctrl -n -sBuild-Depends Source: ./debian/control | grep libjs- | sed s/,//g ))"

override_dh_auto_test:
	# No tests
