=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ngrok-$1.tar.gz/ \
  https://github.com/inconshreveable/ngrok/releases .*/v?(\d\S*)\.tar\.gz
